DestinationFilter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.DestinationFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class DestinationFilter

    java.lang.Object
      org.codehaus.activemq.filter.DestinationFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  CompositeDestinationFilter, PrefixDestinationFilter, SimpleDestinationFilter, WildcardDestinationFilter

public abstract class DestinationFilter
extends Object
implements Filter

Represents a filter which only operates on Destinations

Version:
  $Revision: 1.3 $

Field Summary
`static String` | `ANY_CHILD`
`static String` | `ANY_DESCENDENT`

Constructor Summary
`DestinationFilter()`

Method Summary
`abstract boolean` | `matches(Destination destination)`
`boolean` | `matches(Message message)`
`static DestinationFilter` | `parseFilter(Destination destination)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.filter.Filter
`isWildcard`

Field Detail

### ANY_DESCENDENT

    public static final String ANY_DESCENDENT

See Also:
  Constant Field Values

### ANY_CHILD

    public static final String ANY_CHILD

See Also:
  Constant Field Values

Constructor Detail

### DestinationFilter

    public DestinationFilter()

Method Detail

### matches

    public boolean matches(Message message)
                    throws JMSException

  Specified by:
    `matches` in interface `Filter`
  Returns:
    true if this filter matches the given JMS message
  Throws:
    `JMSException`

### matches

    public abstract boolean matches(Destination destination)

### parseFilter

    public static DestinationFilter parseFilter(Destination destination)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.